<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>AdminLTE</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css" />
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css" />
  <!-- Select2 -->
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
</head>

<style>
  #table-contractor {
    width: 100%;
  }

.dataTables_paginate {
    margin-right: auto; 
}
</style>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="index3.html" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">

        </li>
      </ul>
      <!-- Right navbar links -->
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="index3.html" class="brand-link">
        <img src="../dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: 0.8" />
        <span class="brand-text font-weight-light">Devcamp 120</span>
      </a>
      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="../dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image" />
          </div>
          <div class="info">
            <a href="#" class="d-block profile-name"></a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Dashboard
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="location.html" class="nav-link ">
                    <i class="fas fa-map-marker nav-icon"></i>
                    <p>Địa chỉ tọa độ</p>
                  </a>
                  <a href="master-layout.html" class="nav-link ">
                    <i class="fas fa-columns nav-icon"></i>
                    <p>Mặt Bằng Tầng</p>
                  </a>
                  <a href="contractor.html" class="nav-link active">
                    <i class="fas fa-hard-hat nav-icon"></i>
                    <p>Nhà thầu xây dựng</p>
                  </a>
                  <a href="design-unit.html" class="nav-link">
                    <i class="fas fa-pencil-ruler nav-icon"></i>
                    <p>Đơn vị thiết kế</p>
                  </a>
                  <a href="investor.html" class="nav-link">
                    <i class="fas fa-hand-holding-usd nav-icon"></i>
                    <p>Nhà đầu tư</p>
                  </a>
                  <a href="region-link.html" class="nav-link">
                    <i class="fas fa-link nav-icon"></i>
                    <p>Kết nối vùng</p>
                  </a>
                  <a href="utility.html" class="nav-link">
                    <i class="fas fa-wrench nav-icon"></i>
                    <p>Tiện ích </p>
                  </a>
                  <a href="customer.html" class="nav-link">
                    <i class="fas fa-user nav-icon"></i>
                    <p>Khách hàng</p>
                  </a>
                  <a href="employee.html" class="nav-link ">
                    <i class="fas fa-user-tie nav-icon"></i>
                    <p>Nhân viên</p>
                </a>
                <a href="user.html" class="nav-link user-item">
                    <i class="fas fa-user-tie nav-icon"></i>
                    <p>Người dùng</p>
                </a>
                  <a href="project.html" class="nav-link">
                    <i class="fas fa-tasks nav-icon"></i>
                    <p>Dự án xây dựng</p>
                  </a>

                <li class="nav-item">
                  <a href="#" class="nav-link">
                    <i class="nav-icon fas fa-copy"></i>
                    <p>
                      Địa chính
                      <i class="fas fa-angle-left right"></i>
                    </p>
                  </a>
                  <ul class="nav nav-treeview">
                    <li class="nav-item">
                      <a href="province.html" class="nav-link">
                        <i class="fas fa-map-marker-alt nav-icon"></i>
                        <p>BĐS Theo Địa Chính</p>
                      </a>
                    </li>
                    <li class="nav-item">
                      <a href="province-CRUD.html" class="nav-link">
                        <i class="fas fa-map-marker-alt nav-icon"></i>
                        <p>Tỉnh thành</p>
                      </a>
                    </li>
                    <li class="nav-item">
                      <a href="district.html" class="nav-link">
                        <i class="fas fa-map-pin nav-icon"></i>
                        <p>Quận Huyện</p>
                      </a>
                    </li>
                    <li class="nav-item">
                      <a href="ward.html" class="nav-link">
                        <i class="fas fa-map-marker-alt nav-icon"></i>
                        <p>Phường Xã</p>
                      </a>
                    </li>
                  </ul>
                </li>
              </ul>
            </li>
            <li class="nav-item">
              <a href="subcription.html" class="nav-link">
                <i class="fas fa-file-invoice-dollar nav-icon"></i>
                <p>Subcriptions</p>
              </a>
            </li>
            </li>
            <li class="nav-item">
              <a href="#" class="nav-link">
                <i class="nav-icon fas fa-copy"></i>
                <p>
                 Thông tin BĐS
                  <i class="fas fa-angle-left right"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="real-estate.html" class="nav-link">
                    <i class="fas fa-home nav-icon"></i>
                    <p>BĐS hoạt động</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="real-estate-pending.html" class="nav-link">
                    <i class="fas fa-map-marker-alt nav-icon"></i>
                    <p>BĐS chờ duyệt</p>
                  </a>
                </li>
  
              </ul>
            </li>

            <li class="nav-item logout">
              <a href="#" class="nav-link ">
                <i class="fas fa-sign-out-alt nav-icon"></i>
                <p class="">Log out</p>
              </a>
            </li>
            </li>
          </ul>
          </li>
          </ul>
        </nav>
      </div>
    </aside>
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="toast" id="myToast" role="alert"
            style="position: fixed; top: 0; right: 10px; width: 300px;z-index: 1050 !important;" data-delay="3000">
            <div class="toast-header">
              <strong class="mr-auto">My App</strong>
              <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="toast-body">
              This is a toast message.
            </div>
          </div>
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Danh sách nhà thầu</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Nhà Thầu</li>
              </ol>
            </div>
          </div>
        </div>
        <!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 text-center">
              <h2>Danh Sách Contractor</h2>
            </div>
          </div>
          <div class="row form-group">
            <button class="btn btn-success" id="btn-add-contractor">
              <i class="fa fa-plus"></i>&nbsp; Tạo
            </button>
          </div>
          <!-- <div class="row form-group">
            <button class="btn btn-success" id="btn-export-excel">
              <i class="fa fa-plus"></i>&nbsp; Xuất file excel
            </button>
          </div> -->
          <div class="row example1_wrapper">

            <table class="table table-bordered table-striped table-hover" id="table-contractor">
              <thead>
                <tr>
                <tr>
                <tr>
                  <th>STT</th>
                  <th>Action</th>
                  <th>Tên nhà thầu</th>
                  <th>Dự án</th>
                  <th>Địa chỉ</th>
                  <th>Số điện thoại</th>
                  <th>Fax</th>
                  <th>Email</th>
                  <th>Website</th>
                  <th>Ghi Chú</th>

                </tr>
                </tr>
                </tr>
            </table>
          </div>
          <!-- Vùng Modal -->

          <!-- Create photos modal -->
          <div>
            <div id="create-contractor-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Create Contractor
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form id="create-contractor-form">
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-name">Tên nhà thầu(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-name" placeholder="Tên nhà thầu" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-desc">Mô tả</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-create-desc" placeholder="Mô tả"
                            class="form-control"></textarea>
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-project">Dự án đã làm</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-create-project" placeholder="Dự án đã làm"
                            class="form-control"></textarea>
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-address">Địa chỉ(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-address" placeholder="Địa chỉ" class="form-control" />
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-phone">Số điện thoại(*) </label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-phone" placeholder="Số điện thoại" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-phone">Số điện thoại 2 </label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-phone2" placeholder="Số điện thoại 2 "
                            class="form-control" />
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-fax">Fax</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-fax" placeholder="Fax" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-email">Email</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-email" placeholder="Email" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-website">Website</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-website" placeholder="Website" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-note">Note</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-note" placeholder="Note" class="form-control" />
                        </div>
                      </div>

                    </form>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">
                      Hủy Bỏ
                    </button>
                    <button class="btn btn-primary" id="btn-create-contractor">
                      Tạo nhà thầu
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Update contractors modal -->
          <div>
            <div id="update-contractor-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Sửa nhà thầu
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form id="update-contractor-form">
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-name">Tên nhà thầu(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-name" placeholder="Tên nhà thầu" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-desc">Mô tả</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-update-desc" placeholder="Mô tả"
                            class="form-control"></textarea>
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-project">Dự án đã làm</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea type="text" id="input-update-project" placeholder="Dự án đã làm"
                            class="form-control"></textarea>
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-address">Địa chỉ(*)</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-address" placeholder="Địa chỉ" class="form-control" />
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-phone">Số điện thoại(*) </label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-phone" placeholder="Số điện thoại" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-phone">Số điện thoại 2 </label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-phone2" placeholder="Số điện thoại 2 "
                            class="form-control" />
                        </div>
                      </div>

                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-fax">Fax</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-fax" placeholder="Fax" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-email">Email</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-email" placeholder="Email" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-website">Website</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-website" placeholder="Website" class="form-control" />
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-update-note">Note</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-update-note" placeholder="Note" class="form-control" />
                        </div>
                      </div>

                    </form>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">
                      Hủy Bỏ
                    </button>
                    <button class="btn btn-primary" id="btn-update-contractor">
                      Sửa nhà thầu
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Delete confirm modal -->
          <div>
            <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Xóa nhà thầu này
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <label>Bạn có chắc chắn muốn xóa nhà thầu này không?</label>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-danger" id="btn-confirm-delete-contractor">
                      Xác nhận
                    </button>
                    <button class="btn btn-secondary" data-dismiss="modal">
                      Hủy
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- Đăng xuất confirm modal -->
          <div>
            <div class="modal fade" tabindex="-1" id="logout-confirm-modal">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">
                      Bạn có muốn đăng xuất
                    </h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <label>Bạn có chắc chắn muốn đăng xuất?</label>
                  </div>
                  <div class="modal-footer">
                    <button class="btn btn-danger" id="btn-confirm-logout">
                      Xác nhận
                    </button>
                    <button class="btn btn-secondary" data-dismiss="modal">
                      Hủy
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>

    </div>

    <footer class="main-footer">
      <div class="float-right d-none d-sm-block"><b>Version</b> 1.0</div>
      <strong>Copyright &copy; 2023
        <a href="https://adminlte.io">Devcamp 120</a>.</strong>
      All rights reserved.
    </footer>
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <script src="../plugins/select2/js/select2.full.min.js"></script>
  <!-- AdminLTE App -->
  <script src="../dist/js/adminlte.min.js"></script>
  <!-- DataTables  & ../Plugins -->
  <script src="../plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
  <script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
  <script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
  <script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
  <script src="../plugins/jszip/jszip.min.js"></script>
  <script src="../plugins/pdfmake/pdfmake.min.js"></script>
  <script src="../plugins/pdfmake/vfs_fonts.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
  <script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
  ​
  <script src="../js/contractor.js"></script>
  <script>

  </script>

</body>

</html>